Fwd: heads up: new bind9 from debian drops lwresd

Previous Topic Next Topic
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view

Fwd: heads up: new bind9 from debian drops lwresd

Andreas Hasenack-5

the new bind9 packages from debian dropped the lightweight resolver (lwres) in version 1:9.11.2+dfsg-1:

  * Remove lwresd as it has been deprecated by upstream anyway

Upstream dropped it in bind 9.12.x, but it still exists in the 9.11 code base:

  • The lightweight resolver daemon and library (lwresd and liblwres) have been removed. [RT #45186]
I checked ubuntu bionic and the only thing depending on the lwresd package is libnss-lwres, and libnss-lwres is not required by anything else.

Both lwresd and libnss-lwres are in universe.

rmadison shows libnss-lwres has been at verison 0.93 since precise at least. It seems to come from here nowadays: ftp://sources.redhat.com/pub/glibc/old-releases/ (that directory path is a hint).

It's very likely we will follow Debian on this, but I wanted to reach out first to see if there are any objections, heavy users of this resolver, etc. I don't think we need yet another resolver, but better check.


ubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel